Subject: bug#25988: python2-urwid tests fail

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 05 Mar 2017 15:08:53 -0800

Hi,

I'm currently facing test failures from the python2-urwid package
required to build wicd. The errors are:

test_run (urwid.tests.test_event_loops.SelectEventLoopTest) ... ok

======================================================================
FAIL: test_horizontal_resize (urwid.tests.test_vterm.TermTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_vterm.py", line 169, in test_horizontal_resize
    + '3-' + ' ' * 76 + '-4')
  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_vterm.py", line 120, in expect
    self.assertEqual(got, what, desc)
AssertionError: Expected:
'1-                                                                            -2\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n3-                                                                            -4'
Got:
'Traceback (most recent call last):\n  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/vterm.py", l\nine 1389, in spawn\n    self.command()\n  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_v\nterm.py", line 44, in __call__\n    data = os.read(self.reader, 1024)\nOSError: [Errno 4] Interrupted system call'

======================================================================
FAIL: test_vertical_resize (urwid.tests.test_vterm.TermTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_vterm.py", line 186, in test_vertical_resize
    self.expect('\n' * (y - 2) + '3-' + ' ' * 76 + '-4', desc)
  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_vterm.py", line 120, in expect
    self.assertEqual(got, what, desc)
AssertionError: try to rescale to 80x22.
Expected:
'\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n3-                                                                            -4'
Got:
'\n\n\n\n\n\n\n\n\n\n\n3-                                                                            -4\n\nTraceback (most recent call last):\n  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/vterm.py", l\nine 1389, in spawn\n    self.command()\n  File "/tmp/guix-build-python2-urwid-1.3.1.drv-0/urwid-1.3.1/urwid/tests/test_v\nterm.py", line 44, in __call__\n    data = os.read(self.reader, 1024)\nOSError: [Errno 4] Interrupted system call'

----------------------------------------------------------------------
Ran 278 tests in 1.073s

FAILED (failures=2)
phase `check' failed after 5.2 seconds
builder for `/gnu/store/d3nn0jqa41d7i28qvs78np7mcii2ljn2-python2-urwid-1.3.1.drv' failed with exit code 1
@ build-failed /gnu/store/d3nn0jqa41d7i28qvs78np7mcii2ljn2-python2-urwid-1.3.1.drv - 1 builder for `/gnu/store/d3nn0jqa41d7i28qvs78np7mcii2ljn2-python2-urwid-1.3.1.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/d3nn0jqa41d7i28qvs78np7mcii2ljn2-python2-urwid-1.3.1.drv' failed

I'm using GuixSD with ext4 partition and kernel Linux 4.9.5. The
package definitions are from git master. The system itself is using git
master from about a month ago.

lfam or #guix said he could reproduce the issue with Linux 4.9.13 on a
ext4 fileystem but not on a btrfs one.

I could not reproduce the issue myself on an Ubuntu 14.04 running Linux
4.2.0 with a ext4 partition .

Maxim